Subject: True Static Linking
From: David Starks-Browning <[email-masked]>
To: Westley Weimer <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Apr 2002 10:11:00 +0100

On Tuesday 16 Apr 02, Westley Weimer writes:
> I am using gcc under cygwin and I would like to ship hello.exe to a friend
> who does not have cygwin1.dll on his computer.
> ...
> (1) Is there a "-static" switch that statically links in cygwin1.dll?

Read the FAQ entry "Can I build a Cygwin program that does not require
cygwin1.dll at runtime?"

> (2) If not, how else can I solve this problem?

Have them install Cygwin.  If they only want the "cygwin" package from
the Base category, they can de-select all the other packages that
would otherwise be installed by default.

Regards,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/